# Tomcat
server:
  port: 9528
  servlet:
    context-path:

#mybatis-plus配置
#mybatis-plus:
#  mapper-locations:
#    - classpath*:com/jeeplus/modules/**/*Mapper.xml
#    - classpath:/META-INF/admin-mybatis-mappings/*.xml
#    - classpath:/META-INF/modeler-mybatis-mappings/*.xml
#  #实体扫描，多个package用逗号或者分号分隔
#  typeAliasesPackage: com.jeeplus.modules.**.entity
#  configuration-properties:
#    prefix:
#    boolValue: TRUE
#    blobType: BLOB

# Spring
spring:
  main:
    allow-bean-definition-overriding: true
  application:
    # 应用名称
    name: jeeplus-human
  boot:
    admin:
      client:
        url: http://localhost:8989
  profiles:
    # 环境配置
    active: pro
  cloud:
    nacos:
      discovery:
        # 服务注册地址
        server-addr: 127.0.0.1:8848
        # 命名空间
        namespace: ${spring.profiles.active}
        username: nacos
        password: jsxgpassword
      config:
        # 配置中心地址
        server-addr: 127.0.0.1:8848
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          - application.${spring.cloud.nacos.config.file-extension}
        # 命名空间
        namespace: ${spring.profiles.active}
        username: ${spring.cloud.nacos.discovery.username}
        password: ${spring.cloud.nacos.discovery.password}
      auth:
        plugin:
          nacos:
            token:
              secret:
                key: cCtJSWRxbW1xT3FmZkh1RTBpdTltYkM5ZlNSaTRyQ1RiSzJzV1pweEYycz0=
    sentinel:
      transport:
        dashboard: 127.0.0.1:8858
  thymeleaf:
    prefix: classpath:/templates/
    suffix: .html
    mode: HTML5
    encoding: UTF-8
#ribbon的超时时间
ribbon:
  ConnectTimeout: 60000 # 连接超时时间(ms)
  ReadTimeout: 60000 # 通信超时时间(ms)

hystrix:
  command:
    default:
      execution:
        isolation:
          thread:
            timeoutInMillisecond: 60000 # 熔断超时时长：60000ms
management:
  endpoints:
    web:
      exposure:
        include: "*"
#oss配置
config:
  accessory:
    type: minIO       #local, aliyun, minIO
    baseDir: file
    local:
      location: d:\\accessory
    aliyun:
      aliyunUrl: http://oss.gangwaninfo.com
      aliyunDownloadUrl: http://cdn.gangwaninfo.com
      endpoint: http://oss-cn-hangzhou.aliyuncs.com
      accessKeyId: LTAI5tKa6kzGr5EyPWJB4EcD
      accessKeySecret: arHxB7ZPhizrBYf4844TtyaRctPMgW
      bucketName: xg-pg
    minIO:
      endpoint:
      accessKey:
      secretKey:
      bucketName:
#阿里云文件夹路径
aliyun_directory: attachment-file/assess
#签章阿里云文件bucketName
qzBucketName: xg-qz
#文件存储位置
directory: /attachment-file


#192.168.2.6签章测试参数
apptoken: uIJQmTwyGJ
appsecret: 2NMBqFigKoInmd43Wohxv5aEDKiiHo
signature: 232a44ee9ebd251d119f0a65628f678e

signature_http_top: http://192.168.2.130:9182
#signature_http_top: https://3m0m810894.goho.co

#竖版模板templateId
vertical_templateId: 2894156236229259396
#横板模板templateId
across_templateId: 2894156210627227768
#公司圆章
company_round_seal_id: 2894161942659543252
#公司圆章-竖
company_round_seal_id_vertical: 2898043523878957918
#公司方章
company_parties_seal_id: 2894163220106129636
#审定单用印流程id
approval_category_id: 3032265972836684447
#报告用印流程id
report_category_id: 2895618951099527314
##审定内用印流程id
judgement_category_id: 2920938119742709765
#审定单用印流程id(盐城)
approval_YC_category_id: 2932214418853044239
#报告用印流程id(盐城)
report_YC_category_id: 2933233458312618324

#验证码发送相关参数
rong_userid: 8a216da86715511501673e331c24171e
rong_token: 3d7dc58c6a334ad6887317efbf847e41
app_id: 8a216da86715511501673e331c741725
template_id: 435329
code_type: 1

#其他系统的地址
CCPM_PATH:  http://localhost:8090
#待办中展示其他系统的流程
#ccpm =》 13、102 报销申请、39 项目登记
CCPM_TASK:  13,102,39

#各服务引用状态 =》 （若包含，则进行获取该服务的流程信息）
INQUIRE_STATUS: ccpm

CAS_PATH: http://www.casserver.com:8443